Subject: bug#10224: closed (Re: bug#10224: 24.0.92; M-w inhibits echoing of prefix arguments)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Aug 2020 18:03:02 +0000

Your bug report

#10224: 24.0.92; M-w inhibits echoing of prefix arguments

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10224: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10224
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10224: 24.0.92; M-w inhibits echoing of prefix arguments
From: Stephen Berman <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Aug 2020 20:02:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 25 Aug 2020 14:58:17 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> 1. emacs -Q
>> 2. Type `C-u' => in the echo area you see "C-u-"
>> 3. Set the mark (e.g. by typing `C-SPC') and then type `M-w'.
>> 4. Type `C-u' => in the echo area you see nothing, for this and
>> subsequent prefix arguments.  `M-x' is, however, echoed.
>
> I tried reproducing this in Emacs 28, and I was unable to -- M-w doesn't
> stop C-u happening in the echo area.
>
> Are you still seeing this problem in recent Emacs versions?

No, I can't reproduce it in Emacs 27 or 28, so closing.  Thanks for
taking a look.

Steve Berman

Subject: 24.0.92; M-w inhibits echoing of prefix arguments
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Mon, 05 Dec 2011 21:27:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q
2. Type `C-u' => in the echo area you see "C-u-"
3. Set the mark (e.g. by typing `C-SPC') and then type `M-w'.
4. Type `C-u' => in the echo area you see nothing, for this and
subsequent prefix arguments.  `M-x' is, however, echoed.

The above recipe did not work in my previous build from 2011-12-03,
which may implicate this change:

2011-12-05  Chong Yidong  <[email-masked]>

	* keyboard.c (process_special_events): New function.
	(swallow_events, Finput_pending_p): Use it (Bug#10195).

However, in my build from 2011-12-03, if I disabled transient-mark-mode
before step 3 above, then `M-w' has the same inhibiting effect on prefix
arguments, so if the above change is involved, then only to expose the
bug in transient-mark-mode.  Yet this is a recent bug, since I did not
observe it in builds prior to 2011-12-03.

In GNU Emacs 24.0.92.2 (i686-suse-linux-gnu, GTK+ Version 2.24.7)
 of 2011-12-05 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--without-toolkit-scroll-bars' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t